
@font-face {
  font-family: "DAVALENCIA"; 
  src: url("police/De\ Valencia.otf") format("truetype");
}

@font-face {
  font-family: "Fo";
  src: url("police/FogtwoNo5.otf")
}

body{
  font-family:Fo;
  font-size: 12px;
  line-height: 1.5;
}


/* style de la page de presentation de l'album */
.mainAlbum {
    background-image: url(image/Nouveau\ projet.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment:local;
    background-position: center;
    font-family: Arial, sans-serif;
    font-size: 16px;
    line-height: 1.5;
  }

  h1{
    display: none;
  }

  button {
    background-color: transparent;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
  }
    
  
    button.music-platforms-menu-close{
      height: 35px;
      width: 35px;
      margin: 25px;
    }

    button.menu-close{
      height: 35px;
      width: 35px;
      margin: -18px;
      margin-left: 0px;
    }

  header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
    display: flex;
    align-items: center;
    height: 70px;
    background-color: rgba(255, 255, 255, 0.9);
    padding: 0 0px;
    transition: background-color 0.5s ease;
  }
  header::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background-color: #000;
  }

  nav button.menu-toggle span {
    background-color: black;
  }
  
  nav.scroll {
    background-color: rgba(0, 0, 0, 0.9);
  }

  .fullscreen-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }
  
  .fullscreen-menu li {
    margin: 20px 0;
  }
  
  .fullscreen-menu a {
    color: #fff;
    font-size: 2rem;
    text-decoration: none;
  }

  .logo {
    position: absolute; /* Ajouté pour centrer le logo */
    left: 50%; /* Ajouté pour centrer le logo */
    transform: translateX(-50%); /* Ajouté pour centrer le logo */
  }
  
  .logo a{
    font-size: 2rem;
    font-weight: bold;
    color: #000000;
    text-decoration: none;
    display:flex;

  }

  
  .menu {
    display: none;
    justify-content: flex-end;
    align-items: center;
    position: relative;
  }
  
  .menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display:block;
    align-items: center;
  }
  
  .menu li {
    margin: 0 20px;
  }
  
  .menu a {
    color: #fff;
    text-decoration: none;
    font-size: 1.2rem;
    position: relative;
  }
  
  .menu a::after {
    content: "";
    position: absolute;
    bottom: -5px;
    left: 0;
    right: 0;
    height: 3px;
    background-color: #fff;
    transform: scaleX(0);
    transition: transform 0.5s ease;
  }
  
  .menu a:hover::after {
    transform: scaleX(1);
  }
  
  .menu-toggle {
    display: block;
    cursor: pointer;
    position: relative;
    padding-inline: 30px;
    padding-block: 20px;
  }

  .menu-toggle::after {
    content: '';
    position: absolute;
    top: -2px;
    right:0; /* Ajustez cette valeur pour régler la position de la barre */
    height: 105%;
    width: 2px;
    background-color: #000;
  }
  
  .menu-toggle span {
    display: block;
    background-color: #fff;
    height: 2px;
    width: 25px;
    margin: 5px;
    position: relative;
    transition: transform 0.5s ease;
  }
  
  .menu-toggle span:nth-of-type(1) {
    transform-origin: top left;
  }
  
  .menu-toggle span:nth-of-type(3) {
    transform-origin: bottom left;
  }
  
  .menu-toggle.active span:nth-of-type(1) {
    transform: rotate(45deg) translate(5px, 5px);
  }
  
  .menu-toggle.active span:nth-of-type(2) {
    transform: scaleX(0);
  }
  
  .menu-toggle.active span:nth-of-type(3) {
    transform: rotate(-45deg) translate(5px, -5px);
  }
  
  .menu-close {
    position: absolute;
    top: 35px;
    left: 40px;
    display: none;
    cursor: pointer;
    z-index: 110;
  }
  
  .menu-close span {
    display: block;
    background-color: #fff;
    height: 2px;
    width: 25px;
    padding: 1px;
    margin-top: 0px;
    position: absolute;
    transition: transform 0.5s ease;
  }
  
  .menu-close span:nth-of-type(1) {
    transform-origin: center;
    transform: rotate(45deg);
  }
  
  .menu-close span:nth-of-type(2) {
    transform-origin: center;
    transform: rotate(-45deg);
  }  


  

  
.diaporama {
  position: relative;
  width: 30%;
  max-width: 800px;
  margin: 0 auto;
  text-align: center;
}

.Action {
  background-color: rgb(255, 255, 255); /* Set the background color to red */
  color: rgb(0, 0, 0); /* Set the text color to white */
  margin-top: 6%;
  padding: 15px 60px; /* Add padding around the button */
  border: solid;
  border-width: 2px;
  border-color: rgb(0, 0, 0);
  font-size: 22px; /* Adjust the font size */
}


.Action:hover {
  background-color: rgb(0, 0, 0); /* Set the background color to red */
  color: white; /* Set the text color to white */
  margin-top: 6%;
  padding: 15px 60px; /* Add padding around the button */
  border: solid;
  font-size: 22px; /* Adjust the font size */
}

.slide-image {
  padding-top: 100px;
  position: relative;
  width: 100%;
  opacity: 0;
  transition: opacity 0s ease;
}
.slide-image.active {
    opacity: 1;
}

.fullscreen-menu {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.9);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 200;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.5s ease;
}


.music-platforms-menu {
  
  /* Modifier les propriétés de positionnement */
  position: fixed;
  top: 70px; /* Hauteur du header */
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 300;
  background-color: rgba(0, 0, 0, 0.9);
  /* Ajouter les propriétés pour centrer le contenu */
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;

  /* Ajouter les propriétés pour l'animation */
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.5s ease;
}

.music-platforms-menu.open {
  opacity: 1;
  pointer-events: auto;
}


.music-platforms-menu.open {
  transform: scale(1);
}


.music-platforms-menu.open {
  border-radius: 0;
}

.music-platforms-menu h2 {
  color: #fff;
  font-family: DAVALENCIA;
  font-size: 2.5rem;
  margin-bottom: 10px;
}

.music-platforms-menu ul {
  list-style-type: none;
  padding: 0;
  margin: 20px;
}

.music-platforms-menu li {
  display: block;
  margin-right: 15px;

}

.music-platforms-menu li:not(:last-child):after {
  content: "";
  display: block;
  height: 1px;
  width: 100%;
  background-color: #444;
  margin-top: 15px;
  margin-bottom: 15px;
}

.music-platforms-menu a {
  color: #fff;
  text-decoration: none;
  font-size: 25px;
  display: flex;
  align-items: center; 
}


.music-platforms-menu a:hover {
  color: #ccc;
}


.music-platforms-menu ul {
  list-style: none;
  padding: 0;
  border-top: 4px solid #c8c8c8;
  border-bottom: 4px solid #c8c8c8;
  padding-top: 10px;
  padding-bottom: 10px;
}



.music-platforms-menu-close {
  position: absolute;
  top: 10px;
  left: 10px;
  cursor: pointer;
}

.music-platforms-menu-close span {
  display: block;
  background-color: #fff;
  height: 3px;
  width: 25px;
  padding: 1px;
  margin: 0px;
  position: absolute;
  transition: transform 0.5s ease;
}

.music-platforms-menu-close span:nth-of-type(1) {
  transform-origin: center;
  transform: rotate(45deg);
}

.music-platforms-menu-close span:nth-of-type(2) {
  transform-origin: center;
  transform: rotate(-45deg);
}


.spotify:before,
.apple-music:before,
.youtube-music:before,
.deezer:before,
.amazon-music:before {
  content: "";
  display: inline-block;
  width: 30px;
  height: 30px;
  margin-right: 15px;
  background-repeat: no-repeat;
  background-size: contain;
}

.spotify:before {
  background-image: url("ICONE/icons8-spotify-50\ \(2\).png")
}
.apple-music:before {
  background-image: url('ICONE/icone\ apple.png');
}

.youtube-music:before {
  background-image: url('ICONE/icons8-youtube-music-50.png');
}

.deezer:before {
  background-image: url('ICONE/icons8-deezer-50.png');
}

.amazon-music:before {
  background-image: url('ICONE/icons8-amazon-music-48.png');
}


@media screen and (max-width: 768px) {
  .logo{
    margin-left: 10%;
  }
  .logo a{
    font-size: 1.7rem;
  }
  h1{
    display: block;
    text-align: center;
    position: relative;
    font-family: "DAVALENCIA";
    font-size: 70px;
    margin-top: 80px;
    margin-bottom: 0px;
  }
  .menu {
    display: none;
    position: absolute;
    top: 100px;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.9);
    width: 100%;
    padding: 20px;
    transition: all 0.5s ease;
    box-sizing: border-box;
  }
  .mainAlbum{
    background: none;
  }
  .menu.active {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: center;
  }

  .menu.active li {
    margin: 20px 0;
  }

  .menu-toggle.active span:nth-of-type(1) {
    transform: rotate(45deg) translate(0, 7px);
  }

  .menu-toggle.active span:nth-of-type(2) {
    transform: scaleX(0);
  }

  .menu-toggle.active span:nth-of-type(3) {
    transform: rotate(-45deg) translate(0, -7px);
  }
  .diaporama {
    position: relative;
    width: 80%;
    max-width: 800px;
    margin: 0 auto;
}

.slide-image {
    padding-top: 0px;
    position: relative;
    width: 100%;
    opacity: 0;
    transition: opacity 0.7s ease;
}

.slide-image.active {
    opacity: 1;
}
}

/* fin du style de la page de presentation de l'album */
























/* style de la page d'acceuil */

